package com.heyu.api.data.service.impl.vv;
/**
* <p>
*  服务类
* </p>
*
* @author quyixiao
* @since 2025-12-18
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvFrontPageDao;
import com.heyu.api.data.entity.vv.VvFrontPageEntity;
import com.heyu.api.data.service.vv.VvFrontPageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvFrontPageServiceImpl extends ServiceImpl<VvFrontPageDao, VvFrontPageEntity> implements VvFrontPageService {


    @Autowired
	private VvFrontPageDao vvFrontPageDao;



	@Override
	public VvFrontPageEntity selectVvFrontPageById(Long id){
		return vvFrontPageDao.selectVvFrontPageById(id);
	}



	@Override
	public Long insertVvFrontPage(VvFrontPageEntity vvFrontPage){
		return vvFrontPageDao.insertVvFrontPage(vvFrontPage);
	}



	@Override
	public Long insertOrUpdateVvFrontPage(VvFrontPageEntity vvFrontPage){
		return vvFrontPageDao.insertOrUpdateVvFrontPage(vvFrontPage);
	}



	@Override
	public int updateVvFrontPageById(VvFrontPageEntity vvFrontPage){
		return vvFrontPageDao.updateVvFrontPageById(vvFrontPage);
	}



	@Override
	public int updateCoverVvFrontPageById(VvFrontPageEntity vvFrontPage){
		return vvFrontPageDao.updateCoverVvFrontPageById(vvFrontPage);
	}



	@Override
	public int deleteVvFrontPageById(Long id){
		return vvFrontPageDao.deleteVvFrontPageById(id);
	}



}
